import { Module } from '@nestjs/common';
import { PrismaService } from './adapters/secondaries/prisma-service';
import { TerritoryRepository } from './domain/territory-repository';

@Module({
  providers: [PrismaService, TerritoryRepository],
  exports: [PrismaService, TerritoryRepository],
})
export class DatabaseModule {}
